
noinst_LIBRARIES 		= libosiris.a

INCLUDES                = -I$(top_srcdir)/src/libfileapi

libosiris_a_SOURCES 	= 	list.c message.c scan_record.c socketapi.c error.c \
                        	status.c string_list.c configuration.c filter.c \
                            utilities.c strptime.c list.h message.h \
                            scan_record.h socketapi.h status.h filter_sticky.c \
                            filter_suid.c filter_guid.c ssl_utilities.c \
                            filter_executable.c filter_perl.c filter_python.c \
                            filter_script.c filter_gzip.c filter_zip.c \
                            filter_tar.c filter_pgp.c filter_rpm.c \
                            filter_uid.c filter_gid.c filter_user.c \
                            filter_group.c filter_header.c filter_file.c \
                            filter_suffix.c filter_md5.c filter_sha.c \
                            filter_ripemd.c filter_sid.c filter_permissions.c \
                            string_list.h ssl_utilities.h utilities.h \
                            strcasestr.c error.h strptime.h
